Skip to navigation

Get conversation event

View as Markdown

Retrieves a single system-initiated event from a conversation.

The event must belong to the given conversation. "-" is not accepted as the conversation_id; to read events across all conversations, use the list endpoint.

For a CONVERSATION_RESPONSE_RECEIVED outbound webhook, data.conversation_id is the public Conversations API conversation identifier (conv_ prefix), and the envelope’s id is the event identifier (evt_ prefix). Use these values as this endpoint’s conversation_id and event_id, with credentials for the user identified by data.user_id, to retrieve the notified event. See the webhook payload contract for the envelope and field definitions.

Authentication

AuthorizationBearer

JWT bearer token authentication. Obtain an access token from the Moveworks auth endpoint and include it in the Authorization header as ‘Bearer <token>’.

Path parameters

conversation_idstringRequired

A base-62 identifier prefixed by a short resource type

event_idstringRequired

A base-62 identifier prefixed by a short resource type

Headers

Assistant-NamestringRequired
The Moveworks assistant identifier that was configured for your organization.

Response headers

x-trace-idstringOptional
A unique identifier used to trace your request within the Moveworks system

Response

Event retrieved successfully
event_idstring

A base-62 identifier prefixed by a short resource type

conversation_idstring
Parent conversation identifier
created_atdatetime

Time when this event was created (ISO 8601). List results are returned newest first without starting_after and oldest first with starting_after.

event_payloadobject
Event payload. Currently only message events are supported.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error